ArrayIndexOutOfBoundsException (Java SE 13 & JDK 13 )
Description: declaration: module: java.base, package: java.lang, class: ArrayIndexOutOfBoundsException
Keywords: java.lang.ArrayIndexOutOfBoundsException class

Module java.base
Package java.lang

# Class ArrayIndexOutOfBoundsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IndexOutOfBoundsException
java.lang.ArrayIndexOutOfBoundsException

All Implemented Interfaces:
  `Serializable`

    public class ArrayIndexOutOfBoundsException
    extends IndexOutOfBoundsException

Thrown to indicate that an array has been accessed with an illegal index. The index is either negative or greater than or equal to the size of the array.

Since:
  1.0
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ArrayIndexOutOfBoundsException()` | Constructs an `ArrayIndexOutOfBoundsException` with no detail message.
  `ArrayIndexOutOfBoundsException​(int index)` | Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.
  `ArrayIndexOutOfBoundsException​(String s)` | Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException()
    Constructs an `ArrayIndexOutOfBoundsException` with no detail message.

  - ### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException​(String s)
    Constructs an `ArrayIndexOutOfBoundsException` class with the specified detail message.
    Parameters:
      `s` - the detail message.

  - ### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException​(int index)
    Constructs a new `ArrayIndexOutOfBoundsException` class with an argument indicating the illegal index.

    The index is included in this exception's detail message. The exact presentation format of the detail message is unspecified.

    Parameters:
      `index` - the illegal index.